Subject: Re: bug#16258: 24.3.50; [PATCH] eww: Add new function of region-search.

From: Ted Zlatanov <[email-masked]>
Date: Tue, 07 Jan 2014 18:37:57 -0500

On Fri, 27 Dec 2013 02:46:20 +0100 Lars Ingebrigtsen <[email-masked]> wrote: 

LI> Kenjiro NAKAYAMA <[email-masked]> writes:
>>> I'm not sure that that's a useful eww mode
>>> command, but it might be a useful global command...
>> 
>> Then, how about delete the key map and include the eww-search-region?
>> I want to know how much eww should provide its utilities like this function.

LI> Emacs is in a feature freeze, but I think it sounds like a very useful
LI> thing to be able to just set a point and mark in any buffer, hit
LI> `M-s M-s', and then be presented with the eww search results.  Others
LI> will have to comment on the keystroke, though.

I would use this happily.  The default keystroke doesn't matter too
much: I'll probably use `F2' and I imagine most people will want it on a
single key.  So please commit something like it after the feature freeze.

Ted